summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2022-03-28 00:34:56 -0500
committerWilliam Hubbs <williamh@gentoo.org>2022-03-28 00:34:56 -0500
commitb0c789e55fe279952eff475ff60cc1574ea5f917 (patch)
treef49e99382d7c66344c5e150dc754d8769774795e
parentapp-containers/containerd: revert BDEPEND on <go-1.18 (diff)
downloadgentoo-b0c789e55fe279952eff475ff60cc1574ea5f917.tar.gz
gentoo-b0c789e55fe279952eff475ff60cc1574ea5f917.tar.bz2
gentoo-b0c789e55fe279952eff475ff60cc1574ea5f917.zip
app-containers/containerd: add 1.5.11
Closes: https://bugs.gentoo.org/835367 Bug: https://bugs.gentoo.org/835917 Signed-off-by: William Hubbs <williamh@gentoo.org>
-rw-r--r--app-containers/containerd/Manifest1
-rw-r--r--app-containers/containerd/containerd-1.5.11.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/app-containers/containerd/Manifest b/app-containers/containerd/Manifest
index 7681b38a8cb..ec595c999b3 100644
--- a/app-containers/containerd/Manifest
+++ b/app-containers/containerd/Manifest
@@ -1,3 +1,4 @@
DIST containerd-1.4.11.tar.gz 6406769 BLAKE2B a4882223e2f71944a4d46fb0500a95248cfa33735447952f94c7d7350c2cb62b4911adc77f96559116cca462be02b7270185a0a3dfed5ce4c530465cca7e2078 SHA512 16aa6ae4209939754e122545b454d8b25027a3621464a4b4e0379480b35adf0efb318271f82cf2b959a62fffe531979c9bdfee9ac7d47d4b33269a6bafe2d070
DIST containerd-1.4.12.tar.gz 6408402 BLAKE2B 559164a9d8680edea52040690da8e9b45777a39e471b1a7cc56ff4cf207cee7c83dc73969a8868db5d531f6e4e27cc7a975f073ffcf7f9c2768858b1a4001ddf SHA512 52dc4b0344eb4c6a6f1cc5690ff0c70ee052ef05c02300ed4a806458c40bb1970c26b374b0733b2c30a05c04a731d62a7c4206b1d768075d51c202912efd32b1
+DIST containerd-1.5.11.tar.gz 7494477 BLAKE2B 2415e85694e5f4410c8cee7be08d1d304adfcdb95c4078f7a92c710a5a11a29ae011daa70fcfa72c2fabf5b48b7cac962b39121f18bb027931ef77214e86b1aa SHA512 6348f4ae7f9b473aac7d5e7325ca4539345d09f01b95383cec28f09d5e5b0b831e25fe305c3a15050f1e1959948ee8dcad788a1d6dd4780cf3077132d5617ef8
DIST containerd-1.5.9.tar.gz 7695248 BLAKE2B 1bbd755cadee9022671e6340a194c7190b7249001b56128cb6a94982d83c01dc9292e08ab591728fa223523d7488bed63d055ce0b552196cf4d1c7dfb41928b5 SHA512 13d5b8bcfd811b1abf67008d1c664962f315cd45d885adaa88847bcc4f1c5d743dccd62bc34fe77348ca18a4f8841ce7a8a022cccb275b19b59017b3fbf1054b
diff --git a/app-containers/containerd/containerd-1.5.11.ebuild b/app-containers/containerd/containerd-1.5.11.ebuild
new file mode 100644
index 00000000000..2d706c67b79
--- /dev/null
+++ b/app-containers/containerd/containerd-1.5.11.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+GIT_REVISION=3df54a852345ae127d1fa3092b95168e4a88e2f8
+inherit go-module systemd
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.io/"
+SRC_URI="https://github.com/containerd/containerd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="apparmor btrfs device-mapper +cri hardened +seccomp selinux test"
+
+DEPEND="
+ btrfs? ( sys-fs/btrfs-progs )
+ seccomp? ( sys-libs/libseccomp )
+"
+
+# recommended version of runc is found in script/setup/runc-version
+RDEPEND="
+ ${DEPEND}
+ ~app-containers/runc-1.0.3
+"
+
+BDEPEND="
+ dev-go/go-md2man
+ virtual/pkgconfig
+"
+
+# tests require root or docker
+# upstream does not recommend stripping binary
+RESTRICT+=" strip test"
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s/-s -w//" \
+ Makefile || die
+ sed -i \
+ -e "s:/usr/local:/usr:" \
+ containerd.service || die
+}
+
+src_compile() {
+ local options=(
+ $(usev apparmor)
+ $(usex btrfs "" "no_btrfs")
+ $(usex cri "" "no_cri")
+ $(usex device-mapper "" "no_devmapper")
+ $(usev seccomp)
+ $(usev selinux)
+ )
+
+ myemakeargs=(
+ BUILDTAGS="${options[*]}"
+ LDFLAGS="$(usex hardened '-extldflags -fno-PIC' '')"
+ REVISION="${GIT_REVISION}"
+ VERSION=v${PV}
+ )
+
+ # race condition in man target https://bugs.gentoo.org/765100
+ # we need to explicitly specify GOFLAGS for "go run" to use vendor source
+ emake "${myemakeargs[@]}" man -j1 #nowarn
+ emake "${myemakeargs[@]}" all
+
+}
+
+src_install() {
+ dobin bin/*
+ doman man/*
+ newinitd "${FILESDIR}"/${PN}.initd "${PN}"
+ systemd_dounit containerd.service
+ keepdir /var/lib/containerd
+
+ # we already installed manpages, remove markdown source
+ # before installing docs directory
+ rm -r docs/man || die
+
+ local DOCS=( ADOPTERS.md README.md RELEASES.md ROADMAP.md SCOPE.md docs/. )
+ einstalldocs
+}